%    
% y[n]=1/3*x[n]-0.5*y[n-1]-y[n-1]
% .. .    
% b0=1/3, b1=0, a0=1.5, a1=1
%   MatLab . a0      (a0=1).

b=[1/3 0];
a=[1.5 1];
N=10;% 
n=0:N;

%1
%  u0
x=[1; zeros(N,1)]; 
%  
y=filter(b, a, x);
figure(1);
plot(n,y,'-g')
hold on
stem(n,x)
stem(n,y)
grid

%2 
%  u1
for k=0:N
    x(k+1)=1; 
end;
%  
y=filter(b, a, x);
figure(2);
plot(n,y,'-g')
hold on
stem(n,x)
stem(n,y)
grid

%3
%      ,   :
%  H(z)=1/2(1+2/3*z^(-1))

%4
%     (    )
figure(3);
zplane(b, a)
%5
%   
Fs=2*pi;
f=-pi*2:0.1:pi*2
H=freqz(b, a, f, Fs);

%6
% 
A=abs(H);
figure(4);
plot(f, A)
grid
%7
% 
Fi=angle(H);
figure(5);
plot(f, Fi)
grid
%8
% 
[GD, f]=grpdelay(b, a, 100, 2*pi);
figure(6);
plot(f, GD)
grid