%    
% y[n]=1/3*x[n]+0.5*y[n]-y[n-1]
% .. .    
% b0=1/3, a0=0.5, a1=1
%   MatLab . a0      (a0=1).
b=[1/3 0];
a=[-0.5 1];
N=10;% 
n=0:N;

%1
%  u0
x=[1; zeros(N,1)]; 
%  
y=filter(b, a, x);
figure(1);
plot(n,x,n,y)
hold on
stem(n,x)
stem(n,y)
grid

%2 
%  u1
for k=0:N
    x(k+1)=1; 
end;
%  
y=filter(b, a, x);
figure(2);
plot(n,x,n,y)
hold on
stem(n,x)
stem(n,y)
grid

%3
%      ,   :
%  H(z)=1/(3(1.5+z^(-1)))

%4
%     (    )
figure(3);
zplane(b, a)

%5
%   
Fs=2*pi;
f=-pi/2:0.1:pi/2
H=freqz(b, a, f, Fs);

%6
% 
A=abs(H);
figure(4);
plot(f, A)

%7
% 
Fi=angle(H);
figure(5);
plot(f, Fi)
%8
% 
[GD, f]=grpdelay(b, a, 100, 2*pi);
figure(6);
plot(f, GD)
